Bug 664279 - API breakage in gtkhtml3-3.91.3-1.fc15
API breakage in gtkhtml3-3.91.3-1.fc15
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtkhtml3 (Show other bugs)
rawhide
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-19 11:20 EST by Christian Krause
Modified: 2010-12-21 05:16 EST (History)
2 users (show)

See Also:
Fixed In Version: gtkhtml3-3.91.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-21 05:16:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 660867 None None None Never
Novell 660440 None None None Never

  None (edit)
Description Christian Krause 2010-12-19 11:20:17 EST
Description of problem:
The RAWHIDE version of gtkhtml3 has a changed API with respect to older releases:

--- /tmp/gtkhtml-embedded.h     2010-12-19 17:11:11.000000000 +0100
+++ libgtkhtml-3.14/gtkhtml/gtkhtml-embedded.h  2010-11-08 10:14:45.000000000 +0100
@@ -54,7 +54,7 @@
         GtkBinClass parent_class;
 
         void (*changed)(GtkHTMLEmbedded *);
-        void (*draw_gdk)(GtkHTMLEmbedded *, GdkPixmap *, GdkGC *,
+        void (*draw_gdk)(GtkHTMLEmbedded *, cairo_t *,
                          gint, gint);
         void (*draw_print)(GtkHTMLEmbedded *, GtkPrintContext *);
 };

However, gtkhtml3-3.91.3-1.fc15 still announces itself using the same pkgconfig file gtkhtml-editor-3.14.pc and it uses also the same SONAME in the library.

That's causing problems with projects compiling against gtkhtml3 and leads to  FTBFS issues ([1]) and is considered by upstream as bug in gtkhtml3 ([2]).

Version-Release number of selected component (if applicable):
gtkhtml3-3.91.3-1.fc15

How reproducible:
100%

If a library breaks its API it should at least bump the SONAME and probably announce itself using a different API version via pkgconfig.

Additional info:
[1] https://bugzilla.redhat.com/show_bug.cgi?id=660867
[2] https://bugzilla.novell.com/show_bug.cgi?id=660440
Comment 1 Milan Crha 2010-12-21 05:16:58 EST
This will be fixed with an update to 3.91.4, which will happen some time today. Thus I'm closing this.

Note You need to log in before you can comment on or make changes to this bug.